using System.Collections.Generic;

namespace Stratis.Bitcoin.Features.Wallet.Interfaces
{
    public interface IDeStreamWalletManager : IWalletManager
    {
        /// <summary>
        ///     Processes genesis block
        /// </summary>
        void ProcessGenesisBlock();

        HdAddress CreateAddress(WalletAccountReference accountReference);

        IEnumerable<string> GetOwnAddresses(WalletAccountReference accountReference);
    }
}